Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04501 Gameplay Minor Always Sep 30, 2011, 16:06 Mar 19, 2013, 01:06
Tester -Misc Reporters- View Status Public Platform
Assigned To Kale Resolution Fixed OS
Status [?] Resolved Driver stv.cpp
Version 0.143u6 Fixed in Version 0.148u2 Build
Fixed in Git Commit Github Pull Request #
Summary 04501: groovef: Game starts with 2 credits
Description Game starts up automatically with 2 credits inserted. There is a workaround: by setting the "credits chute type" to "individual" and "credits to start" to 2 (at least), this fixes the problem.
Steps To Reproduce
Additional Information Posted by DaffyDuck:
http://www.mameworld.info/ubbthreads/showthreaded.php?Cat=&Number=265401

Cause:
"Removed all the read/write handler speed-up hacks, they aren't needed anymore and they were doing more damage than being useful. This fixes 'Golden Axe - The Duel' gameplay speed at the cost of breaking up 'Power Instinct 3 - Groove On Fight' coin counter at start-up. ST-V IRQ rewrite [Angelo Salese]"
Github Commit
Flags
Regression Version 0.128u4
Affected Sets / Systems groovef
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.07900
haynor666
Tester
Nov 26, 2011, 21:15
myfairld suffers the same issue, additionally you can't start game - 1P does not work even on test menu.
User avatar
No.07901
Tafoid
Administrator
Nov 26, 2011, 21:29
Concerning myfairld, you can start the game, you just need to change I/O device in Driver Configuration to Joystick. For whatever reason, myfairld currently starts with Mahjong Panel as it's default interface - which is likely correct to original documentation.
User avatar
No.07924
Kale
Developer
Dec 2, 2011, 16:12
For myfairld you have to change the i/o device type in driver configuration if you want to use the mahjong panel.

There isn't any HW switch, fwiw ...